# Interface PrintLayoutInfo

#### Hierarchy

- PrintLayoutInfo

- Defined in src/print/component.js:48

#####
Index

### Properties

attributes
dpi
dpis
formats
layout
layouts
legend
scale
scales
simpleAttributes

## Properties

### attributes

attributes: string[]

The list of all the attributes name.

- Defined in src/print/component.js:51

### dpi

dpi: number

The selected 'dpi'.

- Defined in src/print/component.js:52

### dpis

dpis: number[]

The list of 'dpis'.

- Defined in src/print/component.js:53

### formats

formats: Object

The list of active 'formats' (png, pdf, ...).

- Defined in src/print/component.js:54

### layout

layout: string

The selected 'layout'.

- Defined in src/print/component.js:55

### layouts

layouts: string[]

The list of 'layouts'.

- Defined in src/print/component.js:56

### legend

legend: boolean

The legend checkbox.

- Defined in src/print/component.js:57

### scale

scale: number

The selected 'scale'.

- Defined in src/print/component.js:58

### scales

scales: number[]

The list of 'scales'

- Defined in src/print/component.js:59

### simpleAttributes

simpleAttributes: MapFishPrintCapabilitiesLayoutAttribute[]

Custom print layoutInfo.

- Defined in src/print/component.js:49

Generated using TypeDoc